using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// wifi绑定记录
    /// </summary>
    [SugarTable("YB_WifiBind", TableDescription = "wifi绑定记录", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_WifiBind
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 粉丝ID
        /// </summary>
        [SugarColumn(ColumnDescription = "粉丝ID")]
        public System.Guid FansId { get; set; }

        /// <summary>
        /// 用户唯一标识
        /// </summary>
        [SugarColumn(ColumnDescription = "用户唯一标识", ColumnDataType = "varchar(50)")]
        public System.String FansUnionId { get; set; }

        /// <summary>
        /// 设备ID
        /// </summary>
        [SugarColumn(ColumnDescription = "设备ID")]
        public System.Int32 DevId { get; set; }

        /// <summary>
        /// 设备机器码
        /// </summary>
        [SugarColumn(ColumnDescription = "设备机器码", ColumnDataType = "varchar(50)")]
        public System.String DevCode { get; set; }

        /// <summary>
        /// 公众号appid
        /// </summary>
        [SugarColumn(ColumnDescription = "公众号appid", ColumnDataType = "varchar(50)")]
        public System.String PublicId { get; set; }

        /// <summary>
        /// 用户Openid
        /// </summary>
        [SugarColumn(ColumnDescription = "用户Openid", ColumnDataType = "varchar(50)")]
        public System.String OpenId { get; set; }

        /// <summary>
        /// 公众号的关注情况,0-取关,1-已关
        /// </summary>
        [SugarColumn(ColumnDescription = "公众号的关注情况,0-取关,1-已关")]
        public System.Int32 Subscribe { get; set; }

        /// <summary>
        /// 绑定状态,0-未绑定,1-已绑定
        /// </summary>
        [SugarColumn(ColumnDescription = "绑定状态,0-未绑定,1-已绑定")]
        public System.Int32 BindStatus { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }

        /// <summary>
        /// 绑定时间
        /// </summary>
        [SugarColumn(ColumnDescription = "绑定时间", IsNullable =true)]
        public System.DateTime? BindTime { get; set; }

        /// <summary>
        /// 解绑时间
        /// </summary>
        [SugarColumn(ColumnDescription = "解绑时间",IsNullable =true)]
        public System.DateTime? UnBindTime { get; set; }
    }
}
